# H235_SRTP_SrtpSessionParameters Class Reference

`#include <h235_srtp.h>`

Inheritance diagram for H235_SRTP_SrtpSessionParameters:

List of all members.

## Public Types

enum | OptionalFields { e_kdr, e_unencryptedSrtp, e_unencryptedSrtcp, e_unauthenticatedSrtp, e_fecOrder, e_windowSizeHint, e_newParameter }

## Public Member Functions

| H235_SRTP_SrtpSessionParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_kdr
PASN_Boolean | m_unencryptedSrtp
PASN_Boolean | m_unencryptedSrtcp
PASN_Boolean | m_unauthenticatedSrtp
H235_SRTP_FecOrder | m_fecOrder
PASN_Integer | m_windowSizeHint
H235_SRTP_ArrayOf_GenericData | m_newParameter

## Member Enumeration Documentation

enum H235_SRTP_SrtpSessionParameters::OptionalFields

Enumerator:

  e_kdr |
  e_unencryptedSrtp |
  e_unencryptedSrtcp |
  e_unauthenticatedSrtp |
  e_fecOrder |
  e_windowSizeHint |
  e_newParameter |

## Constructor & Destructor Documentation

H235_SRTP_SrtpSessionParameters::H235_SRTP_SrtpSessionParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_SRTP_SrtpSessionParameters::GetDataLength | ( |  | ) | const

PBoolean H235_SRTP_SrtpSessionParameters::Decode | ( | PASN_Stream & | strm | ) |

void H235_SRTP_SrtpSessionParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H235_SRTP_SrtpSessionParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_SRTP_SrtpSessionParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H235_SRTP_SrtpSessionParameters::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H235_SRTP_SrtpSessionParameters::m_kdr

PASN_Boolean H235_SRTP_SrtpSessionParameters::m_unencryptedSrtp

PASN_Boolean H235_SRTP_SrtpSessionParameters::m_unencryptedSrtcp

PASN_Boolean H235_SRTP_SrtpSessionParameters::m_unauthenticatedSrtp

H235_SRTP_FecOrder H235_SRTP_SrtpSessionParameters::m_fecOrder

PASN_Integer H235_SRTP_SrtpSessionParameters::m_windowSizeHint

H235_SRTP_ArrayOf_GenericData H235_SRTP_SrtpSessionParameters::m_newParameter

The documentation for this class was generated from the following file:

- h235_srtp.h